---
title: 选中会话
---

应用程序可以通过 IMKit SDK 的设置选中会话功能，跳转到指定的会话页面。例如：

- 首次加载时会出现未选中任何会话的状态。应用程序可以使用选中会话功能跳转到指定会话中。如果选中群组会话（`ConversationType.GROUP`），建议应用程序先判断当前用户是否在群组内。如用户不在群组建议不要跳转，防止用户向未加入的群组发消息（会导致发送失败，控制台可查看到失败信息）。
- 如果需要发送消息的目标会话未展示在会话列表中，可以通过选中会话跳转到该会话页面。此时 IMKit SDK 默认会直接生成一个内存态会话（页面刷新后该会话将丢失）添加到会话列表中。如果 App Key 已开通**开通单群聊消息云存储**，SDK 会在会话中产生消息后将该会话存入会话列表，会话列表由服务端存储。

使用 IMKit 实例的 `selectConversation` 选中会话：

```js
import { ConversationType } from '@rongcloud/imlib-next'
imkit.selectConversation({
    conversationType: ConversationType.PRIVATE, // 会话类型
    targetId: "目标 ID"
});
```

| 名称             | 参数   | 必传 | 说明     |
| ---------------- | ------ | ---- | -------- |
| conversationType | string | 是   | 会话类型。 |
| targetId         | string | 是   | 目标 ID。  |
